## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- b
- c
- d
- f
- l
- m
- o
- r
- s

### - b -

- BuildSqrtTable() : fastsqrt.h

### - c -

- cs_asprintf() : snprintf.h
- CS_INIT_TOKEN_TABLE_NAME() : tokenlist.h, shaderprogram.h
- cs_snprintf() : snprintf.h
- cs_vasprintf() : snprintf.h
- cs_vsnprintf() : snprintf.h
- csAlignedFree() : cssysdef.h
- csAlignedMalloc() : cssysdef.h
- csAntialiasedPolyFill() : polyaa.h
- csBigEndianFloat() : csendian.h
- csBigEndianLong() : csendian.h
- csBigEndianLongLong() : csendian.h
- csBigEndianShort() : csendian.h
- csCheckPlatformVFSVar() : vfsplat.h
- csCheckVerbosity() : verbosity.h
- csClamp() : math.h
- csConvertEndian() : csendian.h
- csCreateXORPatternImage() : xorpat.h
- csDefaultRunLoop() : sysfunc.h
- csDoubleToLongLong() : csendian.h
- csevCanvasOp() : eventnames.h
- csevFinalProcess() : eventnames.h
- csevJoystick() : eventnames.h
- csevJoystickOp() : eventnames.h
- csevMouse() : eventnames.h
- csevMouseOp() : eventnames.h
- csevPostProcess() : eventnames.h
- csevPreProcess() : eventnames.h
- csevProcess() : eventnames.h
- csExpandName() : util.h
- csExpandPath() : syspath.h
- csFindNearestPowerOf2() : util.h
- csFindReplace() : util.h
- csFindSystemRoots() : syspath.h
- csFloatToLong() : csendian.h
- csFloatToShort() : csendian.h
- csFPrintf() : sysfunc.h
- csFPrintfV() : sysfunc.h
- csfxBlueScreen() : csfxscr.h
- csfxFadeOut() : csfxscr.h
- csfxFadeTo() : csfxscr.h
- csfxFadeToColor() : csfxscr.h
- csfxGreenScreen() : csfxscr.h
- csfxInterference() : csfxscr.h
- csfxRedScreen() : csfxscr.h
- csfxScreenDPFX() : csfxscr.h
- csfxScreenDPFXPartial() : csfxscr.h
- csfxShadeVert() : csfxscr.h
- csfxWhiteOut() : csfxscr.h
- csGetAppDir() : syspath.h
- csGetAppPath() : syspath.h
- csGetConfigPath() : syspath.h
- csGetLibrarySymbol() : csshlib.h
- csGetLittleEndianFloat16() : csendian.h
- csGetLittleEndianFloat32() : csendian.h
- csGetLittleEndianLong() : csendian.h
- csGetLittleEndianShort() : csendian.h
- csGetLoadLibraryVerbose() : csshlib.h
- csGetPlatformConfig() : sysfunc.h
- csGetPlatformConfigPath() : sysfunc.h
- csGetPluginMetadata() : csshlib.h
- csGetPluginPaths() : syspath.h
- csGetResourceDir() : syspath.h
- csGetShaderVariableFromStack() : shader.h
- csGetTicks() : sysfunc.h
- csGetUsername() : sysfunc.h
- csGlobMatches() : util.h
- csHashCompute() : hash.h
- csInverseColormap() : inv_cmap.h
- csIsPowerOf2() : util.h
- csLittleEndianFloat() : csendian.h
- csLittleEndianLong() : csendian.h
- csLittleEndianLongLong() : csendian.h
- csLittleEndianShort() : csendian.h
- csLoadLibrary() : csshlib.h
- csLoadPlugin() : plugin.h
- csLoadPluginAlways() : plugin.h
- csLog2() : util.h
- csLongLongToDouble() : csendian.h
- csLongToFloat() : csendian.h
- csMax() : math.h
- csMin() : math.h
- csParseVerbosity() : verbosity.h
- csPathsIdentical() : syspath.h
- csPlatformShutdown() : sysfunc.h
- csPlatformStartup() : sysfunc.h
- csPrintf() : sysfunc.h
- csPrintfErr() : sysfunc.h
- csPrintfErrV() : sysfunc.h
- csPrintfV() : sysfunc.h
- csPrintLibraryError() : csshlib.h
- csQfixed16() : csqint.h
- csQfixed24() : csqint.h
- csQfixed8() : csqint.h
- csQint() : csqint.h
- csQint16() : csqint.h
- csQint24() : csqint.h
- csQint8() : csqint.h
- csQisqrt() : csqsqrt.h
- csQround() : csqint.h
- csQsqrt() : csqsqrt.h
- csQueryPluginClass() : plugin.h
- csQueryRegistry() : objreg.h
- csQueryRegistryTag() : objreg.h
- csQueryRegistryTagInterface() : objreg.h
- csReplaceAll() : util.h
- csScanPluginDir() : csshlib.h
- csScanPluginDirs() : csshlib.h
- csScanStr() : scanstr.h
- csSetLoadLibraryVerbose() : csshlib.h
- csShortToFloat() : csendian.h
- csSleep() : sysfunc.h
- csSmoothStep() : math.h
- csSplitPath() : util.h
- csSquare() : math.h
- csStrCaseCmp() : util.h
- csStrNCaseCmp() : util.h
- csStrNew() : util.h
- csStrNewW() : util.h
- csUnloadLibrary() : csshlib.h
- cswinAnsiToWide() : wintools.h
- cswinGetErrorMessage() : wintools.h
- cswinGetErrorMessageW() : wintools.h
- cswinIsWinNT() : wintools.h
- cswinWideToAnsi() : wintools.h

### - d -

- dSqr() : math3d_d.h

### - f -

- FastSqrt() : fastsqrt.h
- FilterDocumentNodeIterator() : documenthelper.h
- ForEach() : algorithms.h

### - l -

- Lerp() : types.h

### - m -

- makeGLMatrix() : glhelper.h

### - o -

- operator *() : cscolor.h
- operator new() : mempool.h
- operator+() : csstring.h, cscolor.h
- operator-() : cscolor.h
- operator/() : cscolor.h

### - r -

- RemoveDuplicateChildren() : documenthelper.h

### - s -

- scfCompatibleVersion() : scf_interface.h
- scfCreateInstance() : scf.h
- scfInitialize() : scf.h
- scfQueryInterface() : scf.h
- scfQueryInterfaceSafe() : scf.h
- scfRegisterStaticClass() : scf.h
- scfRegisterStaticClasses() : scf.h
- scfRegisterStaticFactoryFunc() : scf.h
- SplitAlpha() : draw_common.h